onEvent('recipes', e => {

    modifyShaped(e, 'pipez:infinity_upgrade', 16, ['ABA', 'BCB', 'ADA'], {
      A: 'allthemodium:unobtainium_ingot',
      B: 'allthecompressed:redstone_block_4x',
      C: 'pipez:ultimate_upgrade',
      D: 'atmadditions:atm_star_shard'
    })
})